[OE-core] [PATCH 1/6] oe-git-proxy: allow setting SOCAT from outside

Henning Schild henning.schild at siemens.com
Tue Sep 3 12:24:27 UTC 2019


This series fixes several issues in oe-git-proxy, mostly related to
matching NO_PROXY entries.

Patch 2 introduces a test that will actually fail until all other
patches are applied. If that is a problem and every commit should be
testable, Patch2 needs to be moved to then end.

Let me know what you think

Henning

Am Tue, 3 Sep 2019 14:22:19 +0200
schrieb Henning Schild <henning.schild at siemens.com>:

> From: Henning Schild <henning.schild at siemens.com>
> 
> This allows to write selftests where we can mock the real socat.
> 
> Signed-off-by: Henning Schild <henning.schild at siemens.com>
> ---
>  scripts/oe-git-proxy | 10 ++++++----
>  1 file changed, 6 insertions(+), 4 deletions(-)
> 
> diff --git a/scripts/oe-git-proxy b/scripts/oe-git-proxy
> index bb2ed2a46e..8499a99a71 100755
> --- a/scripts/oe-git-proxy
> +++ b/scripts/oe-git-proxy
> @@ -41,10 +41,12 @@ if [ $# -lt 2 -o "$1" = '--help' -o "$1" =
> '-h' ] ; then fi
>  
>  # Locate the netcat binary
> -SOCAT=$(which socat 2>/dev/null)
> -if [ $? -ne 0 ]; then
> -	echo "ERROR: socat binary not in PATH" 1>&2
> -	exit 1
> +if [ -z "$SOCAT" ]; then
> +	SOCAT=$(which socat 2>/dev/null)
> +	if [ $? -ne 0 ]; then
> +		echo "ERROR: socat binary not in PATH" 1>&2
> +		exit 1
> +	fi
>  fi
>  METHOD=""
>  



More information about the Openembedded-core mailing list